package org.jboss.soa.qa.bean;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

@Path("/bean-service")
public interface BeanServiceResource {

	@GET
	@Path("/authorized")
	@Produces(MediaType.TEXT_PLAIN)
	boolean getAuthorized();

	@GET
	@Path("/runtime-exception")
	@Produces(MediaType.TEXT_PLAIN)
	boolean getRuntimeException();

	@GET
	@Path("/exception")
	@Produces(MediaType.TEXT_PLAIN)
	boolean getException();
}
